SystemOrganization addCategory: #'PEGWiki-Examples'!

!ALFormDataParser methodsFor: '*pegwiki-examples' stamp: 'hc 3/11/2016 10:11'!
parseAssociation
	| key value withpluses |
	key := in get.
	in get.
	withpluses := ((in reading ending: [ :e | '&' includes: e ]) rest) printString.
	value := withpluses replaceAll: $+ with: Character space.
	^ key -> value
	
	! !

ALFormExample subclass: #PWFormExamples
	instanceVariableNames: 'radio integer2 integer3 dropdown'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PEGWiki-Examples'!

!PWFormExamples methodsFor: 'as yet unclassified' stamp: 'hc 3/10/2016 10:30'!
initialize
	integer := 'start string 2'.
	radio := ''.
	integer2 := 0.
	integer3 := 0.
	dropdown := 'peaches'! !

!PWFormExamples methodsFor: 'as yet unclassified' stamp: 'chc 2/2/2016 11:28'!
renderContentOn: html
	super renderContentOn: html! !

!PWFormExamples methodsFor: 'as yet unclassified' stamp: 'hc 2/25/2016 12:26'!
renderFormsOn: html
	html p: 'Two Integer Inputs:'.
	html form beMethodGet; with:
		[html input 
			beTypeText
			value: integer2 printString;
			callback: [:str | integer2 := str asNumber];
			with: [].
		html input 
			beTypeText
			value: integer3 printString;
			callback: [:str | integer3 := str asNumber];
			with: [].
		html input beTypeSubmit.
		html br.
		html text: integer2 asWords.
		html br.
		html text: integer3 asWords].
	html p: 'Radio Button:'.
	html form beMethodGet; with:
		[html input beTypeRadio
			value: 'male';
			callback: [:str | radio := str ].
		html br. 
		html input beTypeRadio
			value: 'female';
			callback: [:str | radio := str ].
		html br.
		html input beTypeSubmit.
		html text: radio ].
	html p: 'Ordered List:'.
	html ol:
		[#('apples' 'oranges' 'grapes') do:
			[:i | 
			html li:
				[html text: i ]]].
	html p: 'Unordered List:'.
	html ul:
		[#('apples' 'oranges' 'grapes') do:
			[:each | 
			html li: each ]].
	html p: 'Drop-down List:'.
	html form beMethodGet; with:
		[html select 
				callback: [:str| dropdown := str ];
					with: [html option with: [html text: 'superduper'].
						   html option with: [html text: 'another'].
						    html option with: [html text: 'garycooper']].
		html input beTypeSubmit.
		html br.
		html p: dropdown].

! !
